be.fgov.ehealth.technicalconnector.distributedkeys

## Interface DistributedSignerProxy

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    CredentialProxy, DigitalSignatureServiceProxy

      public interface DistributedSignerProxy
      extends Serializable

  Interface that must be implemented for a DistributedSigner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm(String alias)` Returns the standard algorithm name for this key.
    `Set<String>` | `getAliases()` Method for obtaining all the aliases that are supported by the distributed keystore.
    `List<X509Certificate>` | `getCertificateChain(String alias)` Method for obtaining the certificate chain based on the distriubted keystore and the alias.
    `byte[]` | `sign(byte[] digestValue, String digestAlgo, String alias)` Method used for signing a already calculated digest.

- - ### Method Detail

    - #### sign

          byte[] sign(byte[] digestValue,
                      String digestAlgo,
                      String alias)
               throws SignatureException

      Method used for signing a already calculated digest.
      Throws:
        `SignatureException`

    - #### getAliases

          Set<String> getAliases()

      Method for obtaining all the aliases that are supported by the distributed keystore.

    - #### getCertificateChain

          List<X509Certificate> getCertificateChain(String alias)

      Method for obtaining the certificate chain based on the distriubted keystore and the alias. The first entry of the list is the actual certificate. The second entry the CA of your certificate. The third entry should be CA of the CA of you certificate. ...

    - #### getAlgorithm

          String getAlgorithm(String alias)

      Returns the standard algorithm name for this key. For example, "RSA" would indicate that this key is a RSA key. See Appendix A in the Java Cryptography Architecture API Specification & Reference
      Parameters:
        `alias` -
      Returns:
        the name of the algorithm associated with this key.

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.